[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFields.Dataset

Dataset the fields belong to

## Declaration

Source position: db.pas line 1160

`public property TFields.Dataset : TDataSet read FDataset;`

## Description

Dataset is the dataset instance that owns the fieldlist. It is set when the TFields instance is created. This property is purely for informational purposes. When adding fields to the list, no check is performed whether the field's Dataset property matches this dataset.

## See also

TFields.Create |  | Create a new instance of TFields
TField.Dataset |  | Dataset this field belongs to
TDataset |  | Base class for records-based data-access